Loading...
Searching...
No Matches
aes.h File Reference
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVAES * | av_aes_alloc (void)
| Allocate an AVAES context.
int | av_aes_init (struct AVAES *a, const uint8_t *key, int key_bits, int decrypt)
| Initialize an AVAES context.
void | av_aes_crypt (struct AVAES *a, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_aes_size